import { DefaultRowWidget } from './DefaultRowWidget';
export declare class DefaultContainerWidget extends DefaultRowWidget {
    initialize(props: any): this;
    protected style: CSSStyleDeclaration;
    get layout(): string | undefined;
    get allInvisible(): boolean | undefined;
    /**
     * 是否显示内部边框
     */
    get showInternalBorder(): boolean;
    get currentGutter(): number[];
    /**
     * 行间距
     */
    get rowGutter(): string | undefined;
    /**
     * 列间距
     */
    get colGutter(): string | undefined;
    get border(): boolean;
    /**
     * 是否显示上边框
     */
    get borderTop(): boolean;
    /**
     * 是否显示右边框
     */
    get borderRight(): boolean;
    /**
     * 是否显示下边框
     */
    get borderBottom(): boolean;
    /**
     * 是否显示左边框
     */
    get borderLeft(): boolean;
    /**
     * 边框大小
     */
    get borderSize(): string | undefined;
    /**
     * 边框颜色
     */
    get borderColor(): any;
    /**
     * 边框样式
     */
    get borderStyle(): any;
    get paddingTop(): string | undefined;
    get paddingBottom(): string | undefined;
    get paddingLeft(): string | undefined;
    get paddingRight(): string | undefined;
    /**
     * 内间距
     */
    get padding(): string;
    get marginTop(): string | undefined;
    get marginBottom(): string | undefined;
    get marginLeft(): string | undefined;
    get marginRight(): string | undefined;
    /**
     * 外间距
     */
    get margin(): string;
}
